
# show title
title @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] times 0 5 15
title @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] title {"text":"Level 2","color":"aqua"}
title @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] subtitle {"text":"2 questions","color":"gray"}
# also set spawnpoint for starting players
spawnpoint @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] -53 4 -109
scoreboard players set @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] level 2
clear @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0,scores={level=..1}]

# clear armor slots at spawn to prevent spacesuit at spawn
clear @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] glass
clear @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] iron_chestplate
clear @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] iron_leggings
clear @a[x=-53,y=4,z=-109,dx=0,dy=1,dz=0] iron_boots

# teleport into space
effect give @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] levitation 1000000 255 true
effect give @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] speed 1000000 3 true
replaceitem entity @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] armor.head glass 1
replaceitem entity @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] armor.chest iron_chestplate 1
replaceitem entity @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] armor.legs iron_leggings 1
replaceitem entity @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] armor.feet iron_boots 1
tellraw @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] {"text":"[Central Computer] Spacesuit equipped","color":"dark_purple"}
execute at @a[x=-56,y=5,z=-105,dx=0,dy=1,dz=0] run tp @p ~-4 5 ~

# teleport into shuttle
effect clear @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] levitation
effect clear @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] speed
clear @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] glass
clear @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] iron_chestplate
clear @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] iron_leggings
clear @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] iron_boots
tellraw @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] {"text":"[Central Computer] Spacesuit unequipped","color":"dark_purple"}
execute at @a[x=-58,y=5,z=-105,dx=0,dy=1,dz=0] run tp @p ~4 5 ~

# make sure all players at this stage have night vision
effect give @a[scores={level=2}] night_vision 1000000 0 true

# check if question answered
execute if block -56 5 -118 birch_button[powered=true] run function ts:level2/q_ore_diamond
execute if block -56 4 -118 birch_button[powered=true] run function ts:level2/q_ore_redstone
execute if block -56 6 -120 birch_button[powered=true] run function ts:level2/q_ore_gold
execute if block -45 5 -123 birch_button[powered=true] run function ts:level2/q_ore_emerald

execute if block -51 6 -99 birch_button[powered=true] run function ts:level2/q_block_concrete
execute if block -51 6 -100 birch_button[powered=true] run function ts:level2/q_block_wool
execute if block -51 6 -101 birch_button[powered=true] run function ts:level2/q_block_terracotta

# check if the stage is done
execute if entity @a[scores={points=2..,level=2},limit=1] run function ts:level2/end
